package com.jeesharp.business.modules.pay.tlinx.dto;

import java.io.Serializable;

/**
 * 浦发银行退款请求DTO
 * 
 * @author wangmeng
 * @since 2026-03-16
 */
public class TLinxRefundRequest implements Serializable {
    
    private static final long serialVersionUID = 1L;
    
    /**
     * 原始订单的开发者交易流水号（需退款的订单）
     */
    private String outNo;
    
    /**
     * 新退款订单的开发者交易流水号（每次请求保证唯一）
     */
    private String refundOutNo;
    
    /**
     * 退款订单名称
     */
    private String refundOrdName;
    
    /**
     * 退款金额（以分为单位）
     */
    private Integer refundAmount;
    
    /**
     * 退款备注
     */
    private String remark;
    
    /**
     * 退款密码（即主管密码，需经过sha1加密）
     */
    private String shopPass;
    
    // Getters and Setters
    
    public String getOutNo() {
        return outNo;
    }
    
    public void setOutNo(String outNo) {
        this.outNo = outNo;
    }
    
    public String getRefundOutNo() {
        return refundOutNo;
    }
    
    public void setRefundOutNo(String refundOutNo) {
        this.refundOutNo = refundOutNo;
    }
    
    public String getRefundOrdName() {
        return refundOrdName;
    }
    
    public void setRefundOrdName(String refundOrdName) {
        this.refundOrdName = refundOrdName;
    }
    
    public Integer getRefundAmount() {
        return refundAmount;
    }
    
    public void setRefundAmount(Integer refundAmount) {
        this.refundAmount = refundAmount;
    }
    
    public String getRemark() {
        return remark;
    }
    
    public void setRemark(String remark) {
        this.remark = remark;
    }
    
    public String getShopPass() {
        return shopPass;
    }
    
    public void setShopPass(String shopPass) {
        this.shopPass = shopPass;
    }
    
    @Override
    public String toString() {
        return "PuFaRefundRequest{" +
                "outNo='" + outNo + '\'' +
                ", refundOutNo='" + refundOutNo + '\'' +
                ", refundOrdName='" + refundOrdName + '\'' +
                ", refundAmount=" + refundAmount +
                ", remark='" + remark + '\'' +
                ", shopPass='" + shopPass + '\'' +
                '}';
    }
}